List Queue Items
(v1)GET
Retrieves the items in an annotation queue with pagination, in ascending order of when they were added. Use the completed query parameter to return only pending (false) or completed (true) items; omit it to return all.
curl -X GET "https://api.confident-ai.com/v1/annotation-queues/{queueId}/items" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"items": [
{
"id": "item-uuid-1",
"traceUuid": "trace-uuid-1",
"addedAt": "2025-11-12T10:00:00Z",
"completed": false,
"assignedToEmail": "user@example.com"
},
{
"id": "item-uuid-2",
"spanUuid": "span-uuid-1",
"addedAt": "2025-11-12T10:01:00Z",
"completed": true,
"assignedToEmail": null
}
]
}
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
queueIdstringRequiredThe ID of the queue.
Query parameters
pageintegerThis specifies the page number of the queue items to return. Defaulted to 1.
pageSizeintegerThis specifies the maximum number of queue items per page. Defaulted to 25.
startstringThis filters for queue items added after the specified start datetime. Defaulted to 30 days ago.
endstringThis filters for queue items added before the specified end datetime. Defaulted to the current time.
sortByenumThis determines the field to sort by. Defaulted to
addedAt.ascendingenumThis determines if the field specified in
sortByshould be in ascending order. Defaults tofalse.completedenumFilter by completion status (true for completed, false for pending). Omit to return all items.
Response
Successfully retrieved list of queue items
successbooleanIndicates if the request was successful.
dataobjectContains the list of queue items.
Show 1 propertyHide 1 property
itemslist of objectsList of items in the annotation queue.
Show 8 propertiesHide 8 properties
idstringThe unique identifier of the queue item.
traceUuidstringThe UUID of the trace associated with this queue item, if applicable.
spanUuidstringThe UUID of the span associated with this queue item, if applicable.
threadIdstringThe ID of the thread associated with this queue item, if applicable.
testCaseIdstringThe ID of the test case associated with this queue item, if applicable.
addedAtstringThe timestamp when this item was added to the queue.
completedbooleanWhether this queue item has been completed.
assignedToEmailstringThe email address of the user assigned to this queue item, if any.